Bug 189781 - 'no bouncemail' does not work
'no bouncemail' does not work
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 12:40 EDT by Nerijus Baliūnas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.3.4-0.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-06 14:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-04-24 12:40:11 EDT
My /etc/fetchmail.conf:

set logfile "/var/log/fetchmail"
set postmaster "postmaster"
set properties ""
set daemon 600
set no bouncemail
set no spambounce
poll mail.example.lt protocol POP3

But fetchmail- still sends bounces.
According to fetchmail 6.3.4 changelog it is fixed here:

* bouncing: fetchmail would still send "General SMTP/ESMTP error." bounces
  in spite of "no bouncemail" configuration.
Comment 1 Miloslav Trmač 2006-04-30 20:40:25 EDT
Please describe a way to reproduce the bug, or at least attach a sample bounce

fetchmail-6.3.4 will be in the next rawhide push, if you want to test it.
Comment 2 Nerijus Baliūnas 2006-05-01 12:55:49 EDT
Fetchmail fetches a spam message and tries to feed it to localhost, but mail
server on localhost rejects it:

Received: from localhost (HELO intsrv.example.lt) (
  by intsrv.example.lt with SMTP; 1 May 2006 16:45:54 -0000
Subject: Mail delivery failed: returning message to sender
From: Mail Delivery System <MAILER-DAEMON@intsrv.example.lt>
To: able708@gmail.com
MIME-Version: 1.0
Content-Type: multipart/report; report-type=delivery-status;

Content-Type: text/plain

This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:

   SMTP error: 554 mail server permanently rejected message (#5.3.0)

Content-Type: message/delivery-status

Reporting-MTA: dns; intsrv.example.lt

Final-Recipient: rfc822; seppo@example.lt
Last-Attempt-Date: Mon, 01 May 2006 19:45:54 +0300 (EEST)
Action: failed
Status: 5.0.0
Diagnostic-Code: 554 mail server permanently rejected message (#5.3.0)

Content-Type: text/rfc822-headers

Received: from smtp02.omnitel.net ([])
Comment 3 Miloslav Trmač 2006-05-06 14:30:22 EDT
This should indeed be fixed in 6.3.4, I have just prepared an FC5 update.

Thanks for your report.
Comment 4 Fedora Update System 2006-05-06 22:50:31 EDT
fetchmail-6.3.4-0.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.